%define distname	up-imapproxy
%define _ssldir		%{_sysconfdir}/ssl/imapproxy

Summary:	Imapproxy is a proxy for the IMAP protocol
Name:		imapproxy
Version:	1.2.2
Release:	1mdk
License:	GPL
Group:		System/Servers
URL:		http://www.imapproxy.org/
Source0:	http://www.imapproxy.org/downloads/%{distname}-%{version}.tar.bz2
Source1:	%{name}.init
Patch0:		%{name}-1.2.2-conf.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires(post):	/sbin/chkconfig


%description
Imapproxy proxies IMAP transactions between an IMAP client and an IMAP
server. The connection to the server is kept open and cached for a
time after the client closes its side, in order to reuse it when the
client tries to open another one to the same IMAP server with the same
user ID.

%prep
%setup -q -n %{distname}-%{version}
%patch0 -p1 -b .init

%build
# kerberos include is needed (because of openssl-0.9.7 ?)
export CPPFLAGS="-I%{_prefix}/kerberos/include"
%configure2_5x
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir} \
	%{buildroot}%{_initrddir} \
	%{buildroot}%{_ssldir}

install -m 755 bin/in.imapproxyd %{buildroot}%{_sbindir}/
install -m 755 bin/pimpstat %{buildroot}%{_sbindir}/
install -m 644 scripts/%{name}.conf %{buildroot}%{_sysconfdir}/
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc COPYING copyright ChangeLog README README.ssl README.known_issues
%dir %{_ssldir}
%attr(0755,root,root) %{_sbindir}/in.imapproxyd
%attr(0755,root,root) %{_sbindir}/pimpstat
%attr(0755,root,root) %config(noreplace) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Aug 27 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2.

* Sat May 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.2-0.rc2.1mdk
- Updated to release 1.2.2rc2.
- Initial Mandrakelinux release.

* Fri Nov 14 2003 Simon Matter <simon.matter@invoca.ch>
- updated to release 1.2.1.

* Mon Jun 30 2003 Simon Matter <simon.matter@invoca.ch>
- fixed ssl configuration.

* Fri Jun 27 2003 Simon Matter <simon.matter@invoca.ch>
- made build with openssl-0.9.7 possible.

* Thu Jun 26 2003 Simon Matter <simon.matter@invoca.ch>
- initial build.
